*1) When combining across ASRH subgroups or combining years, the population totals must be summarized as well. *;
proc tabulate data=SIM1014 out=TASRH_5yrSUM missing;
	class YEAR TWN AGEGP SEX RACEETH5;
	var POP;
	table TWN*AGEGP*SEX*RACEETH5,POP="5 YR TOTAL POP"*sum=""; * by excluding YEAR, creates a new POP total for all rows by Town ASRH *;
run;
proc tabulate data=SIM1014 out=TAS_1yrSUM missing;
	class YEAR TWN AGEGP SEX RACEETH5;
	var POP;
	table TWN*AGEGP*SEX,YEAR*POP*SUM=""; * by excluding RACEETH5, creates a new POP total for all rows by Year, Town, AgeGP and Sex *;
run;


*2) Load formats to be used when creating output tables from the final dataset. ***;
PROC FORMAT;
	VALUE agegpfmt
		1	=' 0--4 '
		2	=' 5--9'
		3	='10--14'
		4	='15--19'
		5	='20--24'
		6	='25--29'
		7	='30--34'
		8	='35--39'
		9	='40--44'
		10	='45--49'
		11	='50--54'
		12	='55--59'
		13	='60--64'
		14	='65--69'
		15	='70--74'
		16	='75--79'
		17	='80--84'
		18	='85+';
	VALUE agegp2fmt
		1,2,3 =' 0--14'
		4     ='15--19'
		5,6,7 ='20--34'
		8,9   ='35--44'
		10,11 ='45--54'
		12,13 ='55--64'
		14,15 ='65--74'
		16,17,18 ='75+';
	VALUE raceeth5f
		1='White-nonHisp'
		2='Black-nonHisp'
		3='AmerIndian-nonHisp'
		4='Asian-nonHisp'
		5='Hispanic-anyRace';
	Value SEXfmt
		1='Male'
		2='Female';
	VALUE ctyfmt
		1='Fairfield'
		2='Hartford'
		3='Litchfield'
		4='Middlesex'
		5='New Haven'
		6='New London'
		7='Tolland'
		8='Windham';
	VALUE twnfmt
		1	='Andover'
		2	='Ansonia'
		3	='Ashford'
		4	='Avon'
		5	='Barkhamsted'
		6	='Beacon Falls'
		7	='Berlin'
		8	='Bethany'
		9	='Bethel'
		10	='Bethlehem'
		11	='Bloomfield'
		12	='Bolton'
		13	='Bozrah'
		14	='Branford'
		15	='Bridgeport'
		16	='Bridgewater'
		17	='Bristol'
		18	='Brookfield'
		19	='Brooklyn'
		20	='Burlington'
		21	='Canaan'
		22	='Canterbury'
		23	='Canton'
		24	='Chaplin'
		25	='Cheshire'
		26	='Chester'
		27	='Clinton'
		28	='Colchester'
		29	='Colebrook'
		30	='Columbia'
		31	='Cornwall'
		32	='Coventry'
		33	='Cromwell'
		34	='Danbury'
		35	='Darien'
		36	='Deep River'
		37	='Derby'
		38	='Durham'
		39	='Eastford'
		40	='East Granby'
		41	='East Haddam'
		42	='East Hampton'
		43	='East Hartford'
		44	='East Haven'
		45	='East Lyme'
		46	='Easton'
		47	='East Windsor'
		48	='Ellington'
		49	='Enfield'
		50	='Essex'
		51	='Fairfield'
		52	='Farmington'
		53	='Franklin'
		54	='Glastonbury'
		55	='Goshen'
		56	='Granby'
		57	='Greenwich'
		58	='Griswold'
		59	='Groton'
		60	='Guilford'
		61	='Haddam'
		62	='Hamden'
		63	='Hampton'
		64	='Hartford'
		65	='Hartland'
		66	='Harwinton'
		67	='Hebron'
		68	='Kent'
		69	='Killingly'
		70	='Killingworth'
		71	='Lebanon'
		72	='Ledyard'
		73	='Lisbon'
		74	='Litchfield'
		75	='Lyme'
		76	='Madison'
		77	='Manchester'
		78	='Mansfield'
		79	='Marlborough'
		80	='Meriden'
		81	='Middlebury'
		82	='Middlefield'
		83	='Middletown'
		84	='Milford'
		85	='Monroe'
		86	='Montville'
		87	='Morris'
		88	='Naugatuck'
		89	='New Britain'
		90	='New Canaan'
		91	='New Fairfield'
		92	='New Hartford'
		93	='New Haven'
		94	='Newington'
		95	='New London'
		96	='New Milford'
		97	='Newtown'
		98	='Norfolk'
		99	='North Branford'
		100	='North Canaan'
		101	='North Haven'
		102	='North Stonington'
		103	='Norwalk'
		104	='Norwich'
		105	='Old Lyme'
		106	='Old Saybrook'
		107	='Orange'
		108	='Oxford'
		109	='Plainfield'
		110	='Plainville'
		111	='Plymouth'
		112	='Pomfret'
		113	='Portland'
		114	='Preston'
		115	='Prospect'
		116	='Putnam'
		117	='Redding'
		118	='Ridgefield'
		119	='Rocky Hill'
		120	='Roxbury'
		121	='Salem'
		122	='Salisbury'
		123	='Scotland'
		124	='Seymour'
		125	='Sharon'
		126	='Shelton'
		127	='Sherman'
		128	='Simsbury'
		129	='Somers'
		130	='Southbury'
		131	='Southington'
		132	='South Windsor'
		133	='Sprague'
		134	='Stafford'
		135	='Stamford'
		136	='Sterling'
		137	='Stonington'
		138	='Stratford'
		139	='Suffield'
		140	='Thomaston'
		141	='Thompson'
		142	='Tolland'
		143	='Torrington'
		144	='Trumbull'
		145	='Union'
		146	='Vernon'
		147	='Voluntown'
		148	='Wallingford'
		149	='Warren'
		150	='Washington'
		151	='Waterbury'
		152	='Waterford'
		153	='Watertown'
		154	='Westbrook'
		155	='West Hartford'
		156	='West Haven'
		157	='Weston'
		158	='Westport'
		159	='Wethersfield'
		160	='Willington'
		161	='Wilton'
		162	='Winchester'
		163	='Windham'
		164	='Windsor'
		165	='Windsor Locks'
		166	='Wolcott'
		167	='Woodbridge'
		168	='Woodbury'
		169	='Woodstock';
run;
